Integration Calendly

Prev Next

Integration Calendly

Integration Calendly JSON Format

Integration Calendly is represented as simple flat JSON objects with the following keys:

Name Type Description
isDeleted bool Is delete or not.
calendlyUserName string The name of calendly user.
id guid Id of the item.
accessToken string Token of the access the integration.
refreshToken string Token of the refresh the integration.
name string The name of the user who booked the calendly.
calendlyUserUri string URL of the calendly user.

Get the list of Integration Calendlys

GET livechat/integrationCalendlys

  • Parameters:

No Parameters

  • Response:

An array of Integration Calendly

  • Example

Sample Request:

curl https://api11.comm100.io/v4/livechat/integrationCalendlys \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

[
  {
      "isDeleted": false,
      "calendlyUserName": "ruchenliu@163.com",
      "id": "B62EA95D-BE0A-404E-8098-7147E7F432B7",
      "accessToken": "",
      "refreshToken": "",
      "name": "ruchenliu@163.com",
      "calendlyUserUri": "https:api.calendly.com/user/AHFGUUED43A5VQ54"
  }
] 

Get a single Integration Calendly

GET livechat/integrationCalendlys/{id}

  • Parameters:

No Parameters

  • Response:

Integration Calendly

  • Example

Sample Request:

curl https://api11.comm100.io/v4/livechat/integrationCalendlys/B62EA95D-BE0A-404E-8098-7147E7F432B7 \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "isDeleted": false,
  "calendlyUserName": "ruchenliu@163.com",
  "id": "B62EA95D-BE0A-404E-8098-7147E7F432B7",
  "accessToken": "",
  "refreshToken": "",
  "name": "ruchenliu@163.com",
  "calendlyUserUri": "https:api.calendly.com/user/AHFGUUED43A5VQ54"
} 

Create a new Integration Calendly

POST livechat/integrationCalendlys

  • Parameters:

Name Type in Required Description
isDeleted bool body no Is delete or not.
calendlyUserName string body no The name of calendly user.
accessToken string body no Token of the access the integration.
refreshToken string body no Token of the refresh the integration.
name string body yes The name of the user who booked the calendly.
calendlyUserUri string body no URL of the calendly user.
  • Response:

Integration Calendly

  • Example

Sample Request:

curl https://api11.comm100.io/v4/livechat/integrationCalendlys \ 
    -X 'POST' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"isDeleted":false,"calendlyUserName":"ruchenliu@163.com","accessToken":"","refreshToken":"","name":"ruchenliu@163.com","calendlyUserUri":"https:api.calendly.com/user/AHFGUUED43A5VQ54"}' 

Response:

HTTP/1.1 201 Created

{
  "isDeleted": false,
  "calendlyUserName": "ruchenliu@163.com",
  "id": "B62EA95D-BE0A-404E-8098-7147E7F432B7",
  "accessToken": "",
  "refreshToken": "",
  "name": "ruchenliu@163.com",
  "calendlyUserUri": "https:api.calendly.com/user/AHFGUUED43A5VQ54"
} 

Update the Integration Calendly

PUT livechat/integrationCalendlys/{id}

  • Parameters:

Name Type in Required Description
isDeleted bool body no Is delete or not.
calendlyUserName string body no The name of calendly user.
accessToken string body no Token of the access the integration.
refreshToken string body no Token of the refresh the integration.
name string body yes The name of the user who booked the calendly.
calendlyUserUri string body no URL of the calendly user.
  • Response:

Integration Calendly

  • Example

Sample Request:

curl https://api11.comm100.io/v4/livechat/integrationCalendlys/B62EA95D-BE0A-404E-8098-7147E7F432B7 \ 
    -X 'PUT' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"isDeleted":false,"calendlyUserName":"ruchenliu@163.com","accessToken":"","refreshToken":"","name":"ruchenliu@163.com","calendlyUserUri":"https:api.calendly.com/user/AHFGUUED43A5VQ54"}' 

Response:

HTTP/1.1 200 OK

{
  "isDeleted": false,
  "calendlyUserName": "ruchenliu@163.com",
  "id": "B62EA95D-BE0A-404E-8098-7147E7F432B7",
  "accessToken": "",
  "refreshToken": "",
  "name": "ruchenliu@163.com",
  "calendlyUserUri": "https:api.calendly.com/user/AHFGUUED43A5VQ54"
} 

Remove the Integration Calendly

DELETE livechat/integrationCalendlys/{id}

  • Parameters:

No Parameters

  • Response:

No Content

  • Example

Sample Request:

curl https://api11.comm100.io/v4/livechat/integrationCalendlys/B62EA95D-BE0A-404E-8098-7147E7F432B7 \ 
    -X 'DELETE' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 204 No Content